package bus.service;

import bus.model.dto.BTestDto;
import bus.model.dto.page.BTestPageDto;
import bus.model.vo.BTestVo;
import bus.model.po.BTestPo;
import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: bus
 * @Date: 2025-02-24 14:39:33
 **/
public interface BTestService {


    /**
     * 详情
     * @param id
     * @return
     */
    BTestPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BTestDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BTestVo> list(BTestPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BTestDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);
}
